Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1570560 - [abrt] cinnamon: g_desktop_app_info_get_is_hidden(): cinnamon killed by SIGSEGV
Summary: [abrt] cinnamon: g_desktop_app_info_get_is_hidden(): cinnamon killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:413a51cdf16de6ca6f17825e8a4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-23 08:54 UTC by mithrial
Modified: 2019-04-14 21:09 UTC (History)
3 users (show)

Fixed In Version: cinnamon-3.8.4-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-11 17:00:49 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (49.03 KB, text/plain)
2018-04-23 08:54 UTC, mithrial
no flags Details
File: cgroup (351 bytes, text/plain)
2018-04-23 08:54 UTC, mithrial
no flags Details
File: core_backtrace (32.01 KB, text/plain)
2018-04-23 08:54 UTC, mithrial
no flags Details
File: cpuinfo (1.64 KB, text/plain)
2018-04-23 08:54 UTC, mithrial
no flags Details
File: dso_list (23.83 KB, text/plain)
2018-04-23 08:54 UTC, mithrial
no flags Details
File: environ (3.62 KB, text/plain)
2018-04-23 08:54 UTC, mithrial
no flags Details
File: exploitable (100 bytes, text/plain)
2018-04-23 08:54 UTC, mithrial
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-23 08:54 UTC, mithrial
no flags Details
File: maps (130.66 KB, text/plain)
2018-04-23 08:54 UTC, mithrial
no flags Details
File: mountinfo (5.67 KB, text/plain)
2018-04-23 08:54 UTC, mithrial
no flags Details
File: open_fds (5.90 KB, text/plain)
2018-04-23 08:54 UTC, mithrial
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2018-04-23 08:54 UTC, mithrial
no flags Details

Description mithrial 2018-04-23 08:54:13 UTC
Description of problem:
I started "Jetbrains Toolbox" (which is, I think, an AppImage)

Version-Release number of selected component:
cinnamon-3.6.8-0.7.20180328git8262210.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 3
cmdline:        cinnamon --replace
crash_function: g_desktop_app_info_get_is_hidden
executable:     /usr/bin/cinnamon
journald_cursor: s=ce86e915be9a48cc85f791a1e1d3f294;i=c240c;b=42292ad3a4434eab8f2434122952a5f9;m=59b5a946;t=56a7fdb657efe;x=81c0e1b68d3c6a8f
kernel:         4.16.3-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 g_desktop_app_info_get_is_hidden at gdesktopappinfo.c:2027
 #1 desktop_entry_get_hidden at desktop-entries.c:616
 #2 process_layout at gmenu-tree.c:3442
 #4 gmenu_tree_build_from_layout at gmenu-tree.c:4519
 #5 gmenu_tree_load_sync at gmenu-tree.c:745
 #6 on_apps_tree_changed_cb at cinnamon-app-system.c:345
 #11 menu_layout_invoke_monitors at menu-layout.c:154
 #17 meta_run at core/main.c:542

Potential duplicate: bug 1398001

Comment 1 mithrial 2018-04-23 08:54:18 UTC
Created attachment 1425580 [details]
File: backtrace

Comment 2 mithrial 2018-04-23 08:54:19 UTC
Created attachment 1425581 [details]
File: cgroup

Comment 3 mithrial 2018-04-23 08:54:21 UTC
Created attachment 1425582 [details]
File: core_backtrace

Comment 4 mithrial 2018-04-23 08:54:22 UTC
Created attachment 1425583 [details]
File: cpuinfo

Comment 5 mithrial 2018-04-23 08:54:24 UTC
Created attachment 1425584 [details]
File: dso_list

Comment 6 mithrial 2018-04-23 08:54:25 UTC
Created attachment 1425585 [details]
File: environ

Comment 7 mithrial 2018-04-23 08:54:26 UTC
Created attachment 1425586 [details]
File: exploitable

Comment 8 mithrial 2018-04-23 08:54:28 UTC
Created attachment 1425587 [details]
File: limits

Comment 9 mithrial 2018-04-23 08:54:31 UTC
Created attachment 1425588 [details]
File: maps

Comment 10 mithrial 2018-04-23 08:54:32 UTC
Created attachment 1425589 [details]
File: mountinfo

Comment 11 mithrial 2018-04-23 08:54:33 UTC
Created attachment 1425590 [details]
File: open_fds

Comment 12 mithrial 2018-04-23 08:54:34 UTC
Created attachment 1425591 [details]
File: proc_pid_status

Comment 13 Fedora Update System 2018-06-08 12:35:00 UTC
cinnamon-3.8.4-1.fc28 cinnamon-screensaver-3.8.2-1.fc28 cinnamon-menus-3.8.2-1.fc28 cinnamon-settings-daemon-3.8.3-1.fc28 muffin-3.8.2-1.fc28 nemo-3.8.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9c42f385b9

Comment 14 Fedora Update System 2018-06-09 22:03:33 UTC
cinnamon-3.8.4-1.fc28, cinnamon-menus-3.8.2-1.fc28, cinnamon-screensaver-3.8.2-1.fc28, cinnamon-settings-daemon-3.8.3-1.fc28, muffin-3.8.2-1.fc28, nemo-3.8.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9c42f385b9

Comment 15 Fedora Update System 2018-06-11 17:00:49 UTC
cinnamon-3.8.4-1.fc28, cinnamon-menus-3.8.2-1.fc28, cinnamon-screensaver-3.8.2-1.fc28, cinnamon-settings-daemon-3.8.3-1.fc28, muffin-3.8.2-1.fc28, nemo-3.8.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.